Page MenuHomeFreeBSD

Add the kyua test framework to the base system.
ClosedPublic

Authored by brooks on Mar 17 2020, 8:35 PM.

Details

Reviewers
kevans
emaste
Summary

Having kyua in the base system will simplify automated testing in CI and
eliminates bootstrapping issues on new platforms.

Note: This change includes adding liblutok which will be done seperately.

Diff Detail

Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 29987
Build 27800: arc lint + arc unit

Event Timeline

brooks created this revision.Mar 17 2020, 8:35 PM

The patch assumes lutok and kyua are extracted in contrib. If you want to test you can clone the repos there.

New CI job with tweak so the sources are available https://cirrus-ci.com/task/5382784613089280?command=package#L1883

Build works, but the install part fails with a seemingly unrelated issue...

brooks updated this revision to Diff 69613.Mar 17 2020, 11:31 PM
  • Fix a typo in the mtree file for kyua.
lwhsu added a subscriber: lwhsu.Mar 18 2020, 3:38 PM
mhorne added a subscriber: mhorne.Mar 18 2020, 4:17 PM

Ah, the CI error was my fault and caused by the mtree error. Working build here https://cirrus-ci.com/task/4696992890748928

Thanks to @arichardson for finding this on CheriBSD (it's really weird that my mtree didn't fail and the files ended up in the right place).

emaste accepted this revision.Mar 18 2020, 4:51 PM
emaste added inline comments.
lib/kyua/Makefile.inc
16

Maybe we should address this holistically later on

lib/kyua/Makefile.kyua
4

Not great but OK... something for us to address later on in our fork I guess

This revision is now accepted and ready to land.Mar 18 2020, 4:51 PM

The package also creates a tests user. Not sure if that is still required.

brooks added inline comments.Mar 18 2020, 6:00 PM
lib/kyua/Makefile.inc
16

I figure this is something we should fix in our fork on GitHub.

lib/kyua/Makefile.kyua
4

In this case I decided not to install the docs because they are fundamentally uninteresting and wanted to avoid patching. I also consider something like "/install/the/devel/kyua/pkg/for/docs".

emaste added inline comments.Mar 18 2020, 7:13 PM
lib/kyua/Makefile.kyua
4

Right, I'm not suggesting that we install the docs, just that later on (in the fork) we might want to more cleanly handle uninstalled docs - e.g. "Documentation omitted at build time" or whatever.

The package also creates a tests user. Not sure if that is still required.

Yeah, that's required by the default config. I'll add that (and probably commit it separately since that's immediatly MFC-able.)

brooks updated this revision to Diff 69662.Mar 18 2020, 8:41 PM
  • Add the tests user, and unprivileged user from the default kyua config.
This revision now requires review to proceed.Mar 18 2020, 8:41 PM
emaste accepted this revision.Mar 18 2020, 8:48 PM
This revision is now accepted and ready to land.Mar 18 2020, 8:48 PM
trasz added a subscriber: trasz.Mar 23 2020, 5:52 PM
brooks closed this revision.Mar 23 2020, 9:22 PM

Committed in rS359260.